# Uses of Enum
org.apache.zookeeper.server.embedded.ExitHandler

Packages that use ExitHandler
Package
Description
org.apache.zookeeper.server.embedded

## Uses of ExitHandler in org.apache.zookeeper.server.embedded

Subclasses with type arguments of type ExitHandler in org.apache.zookeeper.server.embedded
Modifier and Type
Class
Description
`enum`
`ExitHandler`
Behaviour of the server in case of internal error.
Methods in org.apache.zookeeper.server.embedded that return ExitHandler
Modifier and Type
Method
Description
`static ExitHandler`
ExitHandler.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExitHandler[]`
ExitHandler.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server.embedded with parameters of type ExitHandler
Modifier and Type
Method
Description
`ZooKeeperServerEmbedded.ZookKeeperServerEmbeddedBuilder`
ZooKeeperServerEmbedded.ZookKeeperServerEmbeddedBuilder.`exitHandler(ExitHandler exitHandler)`
Set the behaviour in case of hard system errors, see `ExitHandler`.